| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Stdio
Stdio.File

# Method Stdio.File()->openpt()

Method openpt

  `int openpt(string mode)`

Description

  Open the master end of a pseudo-terminal pair. The parameter mode should contain one or more of the following letters:

  `"r"` | Open terminal for reading.
  `"w"` | Open terminal for writing.

  mode should always contain at least one of the letters `"r"` or `"w"`.

See also

  grantpt()

Method openpt

  `int openpt(string mode)`

Description

  Open the master end of a pseudo-terminal pair.

Returns

  This function returns `1` for success, `0` otherwise.

See also

  grantpt()